var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MUD\" />\n\
      <meta name=\"release\" content=\"2017\" />\n\
      <meta name=\"book\" content=\"Developer\" />\n\
      <meta name=\"created\" content=\"2016-06-30\" />\n\
      <meta name=\"topicid\" content=\"GUID-33FF0EA7-E919-4D22-A12A-03B24DB052D5\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Images</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script type=\"text/javascript\">var reflinkid = \"cpp_ref\"; var reflinkdata = new Array(); function closeRefLinkDiv() { }; $(document).on(\'click\', function() { closeRefLinkDiv(); } );</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script type=\"text/javascript\">\n\
 reflinkdata.push([\"Image\", \"cpp_ref/classmudbox_1_1_image.html\", \"C++ API Reference\", \"../\"]); \n\
reflinkdata.push([\"ImageDescriptor\", \"cpp_ref/classmudbox_1_1_image_descriptor.html\", \"C++ API Reference\", \"../\"]); \n\
reflinkdata.push([\"ImgLockPageIterator\", \"cpp_ref/classmudbox_1_1_img_lock_page_iterator.html\", \"C++ API Reference\", \"../\"]); \n\
reflinkdata.push([\"ImgPageIterator\", \"cpp_ref/classmudbox_1_1_img_page_iterator.html\", \"C++ API Reference\", \"../\"]); \n\
reflinkdata.push([\"ImgTile\", \"cpp_ref/classmudbox_1_1_img_tile.html\", \"C++ API Reference\", \"../\"]); \n\
reflinkdata.push([\"ImgTileUnion\", \"cpp_ref/classmudbox_1_1_img_tile_union.html\", \"C++ API Reference\", \"../\"]); \n\
reflinkdata.push([\"PixelDescriptor\", \"cpp_ref/classmudbox_1_1_pixel_descriptor.html\", \"C++ API Reference\", \"../\"]); \n\
reflinkdata.push([\"uInt16Channel\", \"cpp_ref/classmudbox_1_1u_int16_channel.html\", \"C++ API Reference\", \"../\"]); \n\
reflinkdata.push([\"uInt8Channel\", \"cpp_ref/classmudbox_1_1u_int8_channel.html\", \"C++ API Reference\", \"../\"]); \n\
reflinkdata.push([\"float16Channel\", \"cpp_ref/classmudbox_1_1float16_channel.html\", \"C++ API Reference\", \"../\"]); \n\
reflinkdata.push([\"float32Channel\", \"cpp_ref/classmudbox_1_1float32_channel.html\", \"C++ API Reference\", \"../\"]); \n\
</script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-33FF0EA7-E919-4D22-A12A-03B24DB052D5\"></a><div class=\"head\">\n\
            <h1>Images</h1>\n\
         </div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7226\"></a> The primary interface to images in Mudbox is the <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data=\"Image\" class=\"a_multireflink\">Image</a></span> class. There are three differend kinds of images; \n\
         </p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7225\"></a><ol type=\"1\" start=\"1\">\n\
            <li>Physically contiguous </li>\n\
            <li>Striped </li>\n\
            <li>Virtual - A tiled and versioned non-contiguous. </li>\n\
         </ol>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7221\"></a> The first kind is the fastest, but least memory efficient. If the system is not able\n\
            to allocate the required memory in one piece, a striped image will be created. A striped\n\
            image consists of several stripes of 1 or more rows of pixels. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7220\"></a> The third type of image is the most versatile -- It is stored as 128 pixel square\n\
            tiles. The tiles are copy-on-write, versioned, and have their own virtual memory system\n\
            optimized for images. Texture layers are typically stored in this third type of image\n\
            so that paint operations on them can be easily undone. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-721F\"></a> The following classes are provided in the Mudbox SDK for working with images: \n\
         </p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-721E\"></a><ul>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data=\"ImageDescriptor\" class=\"a_multireflink\">ImageDescriptor</a></span> - Describe an image, specifically how to interpret pixel data. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data=\"ImgLockPageIterator\" class=\"a_multireflink\">ImgLockPageIterator</a></span> - Iterate over a specified region of an image in optimal order, locking it in CPU\n\
               memory. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data=\"ImgPageIterator\" class=\"a_multireflink\">ImgPageIterator</a></span> - Iterates over a specified region of an image in optimal order. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data=\"ImgTile\" class=\"a_multireflink\">ImgTile</a></span> - Represents a rectangle. Used to specify rectangular regions of an image. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data=\"ImgTileUnion\" class=\"a_multireflink\">ImgTileUnion</a></span> - Creates a tile that is the union of its two inputs. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data=\"PixelDescriptor\" class=\"a_multireflink\">PixelDescriptor</a></span> - Describe an image pixel; how to interpret a piece of pixel data. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data=\"uInt16Channel\" class=\"a_multireflink\">uInt16Channel</a></span> - A 16 bit image channel. 0-65535 maps from 0.0 to 1.0. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data=\"uInt8Channel\" class=\"a_multireflink\">uInt8Channel</a></span> - An 8 bit image channel. 0-255 maps from 0.0 to 1.0. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data=\"float16Channel\" class=\"a_multireflink\">float16Channel</a></span> - A 16 bit floating point channel. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data=\"float32Channel\" class=\"a_multireflink\">float32Channel</a></span> - A 32 bit floating point channel. \n\
            </li>\n\
         </ul>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";